# Uses of Class
org.eclipse.gef.mvc.fx.models.SnappingModel.SnappingLocation

Packages that use SnappingModel.SnappingLocation
Package
Description
org.eclipse.gef.mvc.fx.behaviors
This package contains JavaFX/MVC.FX-specific `IBehavior` implementations.
org.eclipse.gef.mvc.fx.models
org.eclipse.gef.mvc.fx.parts
This package contains all JavaFX-specific `IContentPart`, `IVisualPart`, `IFeedbackPart`, and `IHandlePart` implementations and related classes.
org.eclipse.gef.mvc.fx.providers

## Uses of SnappingModel.SnappingLocation in org.eclipse.gef.mvc.fx.behaviors

Method parameters in org.eclipse.gef.mvc.fx.behaviors with type arguments of type SnappingModel.SnappingLocation
Modifier and Type
Method
Description
`protected void`
SnappingBehavior.`onSnappingLocationsChanged(List<? extends SnappingModel.SnappingLocation> oldValue, List<? extends SnappingModel.SnappingLocation> newValue)`
Callback method that is called in response to `SnappingModel` changes.

## Uses of SnappingModel.SnappingLocation in org.eclipse.gef.mvc.fx.models

Methods in org.eclipse.gef.mvc.fx.models that return SnappingModel.SnappingLocation
Modifier and Type
Method
Description
`SnappingModel.SnappingLocation`
SnappingModel.SnappingLocation.`getCopy()`
Returns a copy of this `SnappingModel.SnappingLocation`.
Methods in org.eclipse.gef.mvc.fx.models that return types with arguments of type SnappingModel.SnappingLocation
Modifier and Type
Method
Description
`List<SnappingModel.SnappingLocation>`
SnappingModel.`getSnappingLocations()`
Returns a `List` containing the `SnappingModel.SnappingLocation`s currently stored in this `SnappingModel`.
`List<SnappingModel.SnappingLocation>`
SnappingModel.`getSnappingLocationsFor(IContentPart<? extends Node> part)`
Returns a `List` containing the `SnappingModel.SnappingLocation`s that were derived from the given `IContentPart`.
`ReadOnlyListProperty<SnappingModel.SnappingLocation>`
SnappingModel.`snappingLocationsProperty()`
A read-only property containing the current `SnappingModel.SnappingLocation`s.
Method parameters in org.eclipse.gef.mvc.fx.models with type arguments of type SnappingModel.SnappingLocation
Modifier and Type
Method
Description
`void`
SnappingModel.`setSnappingLocations(List<? extends SnappingModel.SnappingLocation> snappingLocations)`
Replaces the `SnappingModel.SnappingLocation`s that are stored in this `SnappingModel` by the given `List` of `SnappingModel.SnappingLocation`s.

## Uses of SnappingModel.SnappingLocation in org.eclipse.gef.mvc.fx.parts

Methods in org.eclipse.gef.mvc.fx.parts that return SnappingModel.SnappingLocation
Modifier and Type
Method
Description
`SnappingModel.SnappingLocation`
SnappingFeedbackPart.`getSnappingLocation()`
Returns the `SnappingModel.SnappingLocation` for which feedback is visualized by this `SnappingFeedbackPart`.
Methods in org.eclipse.gef.mvc.fx.parts with parameters of type SnappingModel.SnappingLocation
Modifier and Type
Method
Description
`void`
SnappingFeedbackPart.`setSnappingLocation(SnappingModel.SnappingLocation snappingLocation)`
Sets the `SnappingModel.SnappingLocation` for this feedback part to the given value.

## Uses of SnappingModel.SnappingLocation in org.eclipse.gef.mvc.fx.providers

Methods in org.eclipse.gef.mvc.fx.providers that return types with arguments of type SnappingModel.SnappingLocation
Modifier and Type
Method
Description
`List<SnappingModel.SnappingLocation>`
BoundsSnappingLocationProvider.`getHorizontalSnappingLocations(IContentPart<? extends Node> part)`
`List<SnappingModel.SnappingLocation>`
CenterSnappingLocationProvider.`getHorizontalSnappingLocations(IContentPart<? extends Node> part)`
`List<SnappingModel.SnappingLocation>`
ConnectionSnappingLocationProvider.`getHorizontalSnappingLocations(IContentPart<? extends Node> part)`
`List<SnappingModel.SnappingLocation>`
ISnappingLocationProvider.`getHorizontalSnappingLocations(IContentPart<? extends Node> part)`
Returns the horizontal `SnappingModel.SnappingLocation`s for the given `IContentPart`.
`List<SnappingModel.SnappingLocation>`
TopLeftSnappingLocationProvider.`getHorizontalSnappingLocations(IContentPart<? extends Node> part)`
`protected List<SnappingModel.SnappingLocation>`
BoundsSnappingLocationProvider.`getSnappingLocations(IContentPart<? extends Node> part, Orientation orient, double... ratios)`
Iterates over the given ratios and interpolates positions within the bounds for the individual ratios.
`protected List<SnappingModel.SnappingLocation>`
ConnectionSnappingLocationProvider.`getSnappingLocations(IContentPart<? extends Node> part, Orientation orientation)`
Returns `SnappingModel.SnappingLocation`s with given `Orientation` for the `ConnectionSnappingLocationProvider.getConnection(IContentPart)` of the given `IContentPart`.
`List<SnappingModel.SnappingLocation>`
BoundsSnappingLocationProvider.`getVerticalSnappingLocations(IContentPart<? extends Node> part)`
`List<SnappingModel.SnappingLocation>`
CenterSnappingLocationProvider.`getVerticalSnappingLocations(IContentPart<? extends Node> part)`
`List<SnappingModel.SnappingLocation>`
ConnectionSnappingLocationProvider.`getVerticalSnappingLocations(IContentPart<? extends Node> part)`
`List<SnappingModel.SnappingLocation>`
ISnappingLocationProvider.`getVerticalSnappingLocations(IContentPart<? extends Node> part)`
Returns the vertical `SnappingModel.SnappingLocation`s for the given `IContentPart`.
`List<SnappingModel.SnappingLocation>`
TopLeftSnappingLocationProvider.`getVerticalSnappingLocations(IContentPart<? extends Node> part)`